<?php

include "config.php";
include "boilerplate/question.php";

$id = (int)$_GET["id"];

if ($id === null) {
  exit();
}

$query = "
SELECT * FROM data
WHERE id = {$id};
";

$queryResponse = pg_query($db, $query);
$question = pg_fetch_array($queryResponse);

$properTitle = "{$pageTitle} &mdash; question #{$id}";
include "boilerplate/pageStart.php";

if (pg_num_rows($queryResponse) === 0 || $question["ispublic"] === "f" || $question["isrespondedto"] === "f") {
  echo("
    <h2 class=\"title\">{$pageTitle} &mdash; no such question exists</h2>
    <a href=\"index.php\">(go back?)</a>
  ");

  http_response_code(404);
} else {
  echo("
    <h2 class=\"title\">{$pageTitle} &mdash; question number {$question['id']}</h2>
    <a href=\"index.php\">(go back?)</a>
  ");

  echo(getQuestion($question));
}

include "boilerplate/pageEnd.php";

?>
