<?php

$query = "
SELECT * FROM migrations;
";

$queryResponse = pg_query($db, $query);

$rows = pg_fetch_all($queryResponse);

$migrations = array(
  "20240218-AddMigrationsTable-40641e8d",
  "20240218-AddMarkReadOption-a7e43358",
  "20240218-AddFalsesToPrivRead-67d82b18",
  "20250310-AddFediIDColumn-64520350",
  "20250314-AddEmoji"
);

foreach ($migrations as $mig) {
  if (!in_array($mig, array_column($rows, 'id'))) {
    include "../migrations/{$mig}.php";
  }
}

header("Location: index.php?migrated=1&pw={$adminPassword}");

?>
