<?php

include "config.php";

$query = "
SELECT * FROM emoji
ORDER BY name;
";

$queryResponse = pg_query($db, $query);
$emoji = pg_fetch_all($queryResponse);

$properTitle = "{$pageTitle} &mdash; emoji list";
include "boilerplate/pageStart.php";

echo("<a href=\"index.php\">(go back?)</a>");

if (!$emojiEnabled) {
  echo("emoji aren't enabled");
  include "boilerplate/pageEnd.php";
  exit();
}

echo("<ul>");

foreach ($emoji as $e) {
  echo("<li>
    <img class=\"emoji\" src=\"{$e['url']}\" alt=\":{$e['name']}:\">
    :{$e['name']}:
  </li>");
}

echo("</ul>");

include "boilerplate/pageEnd.php";

?>
